## com.sun.jersey.spi
Interface CloseableService

    public interface CloseableService

A closeable service to add instances of `Closeable` that are required to be closed.

This interface may be injected onto server-side components using the `Context` annotation.

The service may be used within the scope of a request to add instances of `Closeable` that are to be closed when the request goes out of scope, more specifically after the request has been processed and the response has been returned.

Author:
  Paul.Sandoz

Method Summary
`void` `add(java.io.Closeable c)` Add an instance of `Closeable` that is to be closed when the request goes out of scope.

Method Detail

### add

    void add(java.io.Closeable c)

  Add an instance of `Closeable` that is to be closed when the request goes out of scope.

  Parameters:
    `c` - the instance of `Closeable`.

Copyright © 2017 Oracle Corporation. All Rights Reserved.